from random import randint as ri, sample

stmts = 200
initial_insert = 10
max_id = int(1e9)
max_string = 200

recs = set()

def get_string():
	l = [chr(ord('a') + ri(0, ord('z') - ord('a'))) for _ in range(max_string)]
	return ''.join(l)

def print_insert():
	_id = ri(0, max_id)
	while _id in recs:
		_id = ri(0, max_id)

	print('insert into tt (id, title, author1, author2, author3)')
	print("values ({}, '{}', '{}', '{}', '{}');".format(_id, get_string(), get_string(), get_string(), get_string()))
	print()

	recs.add(_id)

def print_commit():
	print('commit;')
	print()

def print_select():
	print('select * from tt;')
	print()

def print_update():
	_id = sample(recs, 1)[0]

	print("update tt set title = '{}', author1 = '{}', author2 = '{}', author3 = '{}'".format(get_string(), get_string(), get_string(), get_string()))
	print("where id = {};".format(_id))
	print()

def print_delete():
	if len(recs) == 0:
		print_insert()
		return

	_id = sample(recs, 1)[0]
	print('delete from tt where id = {};'.format(_id))
	print()
	
	recs.remove(_id)



for _ in range(stmts):
	if len(recs) < initial_insert:
		print_insert()
		continue

	stmt = ri(1, 10)

	if stmt == 1:
		print_insert()
	elif stmt == 2:
		print_update()
	elif stmt == 3:
		print_select()
	elif stmt == 4:
		print_commit()
	else:
		print_delete()

print_commit()